"use strict";

{
  C3.Plugins.StraniAnelli_InjectCSS.Acts = {

    // ----- CSS ----- //

        AddLocalCSSFile(nomeCSS) {
          const urlCSSinC3 = this.GetProjectFileUrl(nomeCSS, true);
          this.InjectCSSIntoHead(urlCSSinC3);
        },

        AddExternalCSSFile(nomeCSS) {
          const urlCSSinC3 = this.GetProjectFileUrl(nomeCSS, false);
          this.InjectCSSIntoHead(urlCSSinC3);
        },

        RemoveLocalCSSFile(nomeCSS) {
          const urlCSSinC3 = this.GetProjectFileUrl(nomeCSS, true);
          const links = document.head.getElementsByTagName("link");
          this.RemoveCSSFromPage(links, urlCSSinC3);
        },

    		RemoveExternalCSSFile(nomeCSS) {
          const urlCSSinC3 = this.GetProjectFileUrl(nomeCSS, false);
          const links = document.head.getElementsByTagName("link");
          this.RemoveCSSFromPage(links, urlCSSinC3);
        },

        RemoveAllImportedCSSFile() {
          this.RemoveAllImportedCSSFromPage();
        },

        RemoveAllCSSFile() {
          this.RemoveAllCSSFromPage();
        },

        DisableLocalCSSFile(nomeCSS) {
          const urlCSSinC3 = this.GetProjectFileUrl(nomeCSS, true);
          const links = document.head.getElementsByTagName("link");
          this.EnableCSS(links, urlCSSinC3, false);
        },

        DisableExternalCSSFile(nomeCSS) {
          const urlCSSinC3 = this.GetProjectFileUrl(nomeCSS, false);
          const links = document.head.getElementsByTagName("link");
          this.EnableCSS(links, urlCSSinC3, false);
        },

        EnableLocalCSSFile(nomeCSS) {
          const urlCSSinC3 = this.GetProjectFileUrl(nomeCSS, true);
          const links = document.head.getElementsByTagName("link");
          this.EnableCSS(links, urlCSSinC3, true);
        },

        EnableExternalCSSFile(nomeCSS) {
          const urlCSSinC3 = this.GetProjectFileUrl(nomeCSS, false);
          const links = document.head.getElementsByTagName("link");
          this.EnableCSS(links, urlCSSinC3, true);
        },

    // ----- JS ----- //

        AddLocalJSFile(nomeJS) {
          let urlJSinC3 = this.GetProjectFileUrl(nomeJS, true);
          this.InjectJSIntoHead(urlJSinC3);
        },

        AddExternalJSFile(nomeJS) {
          let urlJSinC3 = this.GetProjectFileUrl(nomeJS, false);
          this.InjectJSIntoHead(urlJSinC3);
        },

        RemoveLocalJSFile(nomeJS) {
          let urlJSinC3 = this.GetProjectFileUrl(nomeJS, true);
          const scripts = document.head.getElementsByTagName("script");
          this.RemoveJSFromPage(scripts, urlJSinC3);
        },

    		RemoveExternalJSFile(nomeJS) {
          let urlJSinC3 = this.GetProjectFileUrl(nomeJS, false);
          const scripts = document.head.getElementsByTagName("script");
          this.RemoveJSFromPage(scripts, urlJSinC3);
        },

        RemoveAllImportedJSFile(nomeJS) {
          this.RemoveAllImportedJSFromPage();
        },

    // ----- CANVAS ----- //

        DestroyCanvas() {
          this.DestroyCanvasFromPage();
        },

    // ----- HTML ----- //

        AddHTMLElement(newElement) {
          const fragment = this.CreateHTMLElement(newElement);
          document.body.appendChild(fragment);
        },

        RemoveHTMLElementByID(idElement) {
          this.DestroyHTMLElementByID(idElement);
        }
  };
}
